#
#Source Server Version: 3.23.54
#Source Database:       zmania
#Date:                  2004-03-03 18:38:04
#

#----------------------------
# Table structure for admin
#----------------------------
drop table if exists admin;
create table admin (
   name varchar(40) not null,
   admin_id varchar(15) not null,
   pwd varchar(15) not null,
   id_no int(5) not null auto_increment,
   auth varchar(50) not null,
   regdate date not null default '0000-00-00',
   login set('0','1') not null default '0',
   login_time bigint(20),
   login_page set('1','2','3','4','5','6','7','8','9','10','11','12') not null default '1',
   email varchar(72) not null,
   admin_lev smallint(5) unsigned not null default '0',
   primary key (id_no));

#----------------------------
# Table structure for bank
#----------------------------
drop table if exists bank;
create table bank (
   bank varchar(100) not null,
   id int(11) not null auto_increment,
   primary key (id));

#----------------------------
# Table structure for banner
#----------------------------
drop table if exists banner;
create table banner (
   id mediumint(9) not null auto_increment,
   code varchar(40) default 'none',
   bn_filename varchar(110) not null,
   url varchar(255) not null,
   click_num int(11) not null default '0',
   link_type set('0','1') not null default '0',
   reg_date date not null default '0000-00-00',
   primary key (id));

#----------------------------
# Table structure for board_admin
#----------------------------
drop table if exists board_admin;
create table board_admin (
   board_id int(6) unsigned not null auto_increment,
   board_name varchar(50) not null,
   pwd varchar(15) not null,
   x_size smallint(6) unsigned not null default '0',
   list_num smallint(6) unsigned not null default '0',
   color_b varchar(7) not null,
   color_d varchar(7) not null,
   skin varchar(255),
   upload set('yes','no') not null,
   text_b varchar(7) not null,
   text_d varchar(7) not null,
   reg_date varchar(10) not null,
   email varchar(72),
   w_mode tinyint(4) not null default '0',
   color_hl varchar(7),
   color_br varchar(7),
   sort tinyint(2) not null default '0',
   category varchar(30) not null default '0',
   w_shop set('0','1') not null,
   dsp set('0','1','2') default '0',
   code varchar(20),
   top_list_id varchar(255),
   access_lev smallint(5) unsigned not null default '0',
   admin_lev smallint(5) unsigned not null default '0',
   board_admin_id varchar(20),
   primary key (board_id));

#----------------------------
# Table structure for board_category
#----------------------------
drop table if exists board_category;
create table board_category (
   id_no int(10) unsigned not null auto_increment,
   category varchar(100) not null,
   ord_sort int(11) not null default '0',
   show_flg set('y','n') not null,
   reg_date date not null default '0000-00-00',
   code varchar(20) not null,
   primary key (id_no));

#----------------------------
# Table structure for c_form
#----------------------------
drop table if exists c_form;
create table c_form (
   id_no smallint(6) not null auto_increment,
   mc varchar(25) not null,
   sc varchar(25) not null,
   base_id smallint(9) not null default '0',
   primary key (id_no));

#----------------------------
# Table structure for c_form_base
#----------------------------
drop table if exists c_form_base;
create table c_form_base (
   id tinyint(4) not null auto_increment,
   name varchar(100) not null,
   summary text not null,
   views int(11) not null default '0',
   use_num int(11) not null default '0',
   reg_date date not null default '0000-00-00',
   state set('0','1') not null default '1',
   primary key (id));

#----------------------------
# Table structure for cart
#----------------------------
drop table if exists cart;
create table cart (
   cartno varchar(15),
   name varchar(40),
   unit int(11),
   cost int(11),
   sn varchar(20),
   color varchar(20),
   size varchar(20),
   reserve int(11),
   id int(11) not null auto_increment,
   options varchar(50),
   note varchar(20),
   primary key (id));

#----------------------------
# Table structure for cart_order
#----------------------------
drop table if exists cart_order;
create table cart_order (
   order_no varchar(50) not null,
   name varchar(40),
   unit int(11),
   cost int(11),
   sn varchar(20),
   size varchar(20),
   color varchar(20),
   reserve int(11),
   id int(11) not null auto_increment,
   options varchar(50),
   ord_date date not null default '0000-00-00',
   note varchar(20),
   primary key (id),
   index `date` (ord_date),
   index order_no (order_no));

#----------------------------
# Table structure for category
#----------------------------
drop table if exists category;
create table category (
   id_no int(11) not null default '0',
   category char(30) not null,
   sort int(11) not null default '0',
   `type` set('1','2') not null,
   primary key (id_no));

#----------------------------
# Table structure for design
#----------------------------
drop table if exists design;
create table design (
   idno int(11) not null default '0',
   logofile varchar(255) not null,
   cizboard varchar(50) not null,
   cizshop varchar(50) not null,
   primary key (idno));

#----------------------------
# Table structure for event
#----------------------------
drop table if exists event;
create table event (
   id smallint(6) not null auto_increment,
   name varchar(50) not null,
   reg_date date not null default '0000-00-00',
   s_date date not null default '0000-00-00',
   e_date date not null default '0000-00-00',
   state set('0','1') not null default '0',
   win_x int(6) not null default '320',
   win_y int(6) not null default '127',
   popup_set set('0','1') not null default '0',
   primary key (id));

#----------------------------
# Table structure for groub
#----------------------------
drop table if exists groub;
create table groub (
   id_no int(11) not null auto_increment,
   mc varchar(20) not null,
   sc varchar(20) not null,
   categori varchar(20) not null,
   id int(11) not null default '0',
   primary key (id_no));

#----------------------------
# Table structure for logs
#----------------------------
drop table if exists `logs`;
create table `logs` (
   id int(11) not null auto_increment,
   host varchar(72) not null default 'none',
   `date` date not null default '0000-00-00',
   h00 int(11) not null default '0',
   h01 int(11) not null default '0',
   h02 int(11) not null default '0',
   h03 int(11) not null default '0',
   h04 int(11) not null default '0',
   h05 int(11) not null default '0',
   h06 int(11) not null default '0',
   h07 int(11) not null default '0',
   h08 int(11) not null default '0',
   h09 int(11) not null default '0',
   h10 int(11) not null default '0',
   h11 int(11) not null default '0',
   h12 int(11) not null default '0',
   h13 int(11) not null default '0',
   h14 int(11) not null default '0',
   h15 int(11) not null default '0',
   h16 int(11) not null default '0',
   h17 int(11) not null default '0',
   h18 int(11) not null default '0',
   h19 int(11) not null default '0',
   h20 int(11) not null default '0',
   h21 int(11) not null default '0',
   h22 int(11) not null default '0',
   h23 int(11) not null default '0',
   remote_info varchar(20),
   primary key (id),
   index `date` (`date`),
   index host (host));

#----------------------------
# Table structure for mall_info
#----------------------------
drop table if exists mall_info;
create table mall_info (
   mall_name varchar(50),
   email varchar(72),
   address2 varchar(72) not null,
   tel varchar(30),
   fax varchar(30),
   cell_color_d varchar(7),
   cell_color_b varchar(7),
   provision text,
   domain varchar(50) not null,
   base_type varchar(20) not null,
   pay_how text,
   order_how text,
   send_how text,
   introduction text,
   biz_no varchar(30),
   ciz_msg text,
   ciz_msg_chk int(1),
   card_per double(4,2) not null default '0.00',
   company varchar(40) not null,
   pre_name varchar(40) not null,
   zcode1 char(3) not null,
   zcode2 char(3) not null,
   address1 varchar(72) not null,
   introduction_type tinyint(1) not null default '0',
   address varchar(255),
   pay_h1 set('0','1') not null default '1',
   pay_h2 set('0','1') not null default '1',
   pay_h3 set('0','1') not null default '1',
   pay_h4 set('0','1') not null default '1',
   pg_id varchar(20) not null,
   sale_type set('0','1') not null default '0',
   hs_no varchar(30),
   pg varchar(50) not null,
   primary key (domain));

#----------------------------
# Table structure for mc
#----------------------------
drop table if exists mc;
create table mc (
   categori varchar(20) not null default 'mc',
   id int(2) not null default '1',
   id_no int(11) not null auto_increment,
   primary key (id_no));

#----------------------------
# Table structure for members
#----------------------------
drop table if exists members;
create table members (
   name varchar(10),
   id varchar(15) not null,
   pwd varchar(15),
   id_no varchar(14),
   tel varchar(20),
   email varchar(75),
   cphone varchar(15),
   job varchar(10),
   address varchar(75),
   sex varchar(5),
   `date` varchar(10),
   memo text,
   state int(1),
   reserve int(11) not null default '0',
   reserve_org int(11),
   address1 varchar(100) not null,
   address2 varchar(100) not null,
   zcode1 char(3) not null,
   zcode2 char(3) not null,
   login set('0','1') not null default '0',
   a_key varchar(50) not null,
   a_state set('0','1','2','3') default '0',
   access_time bigint(20),
   mb_lev smallint(5) unsigned not null default '0',
   primary key (id));

#----------------------------
# Table structure for option_base
#----------------------------
drop table if exists option_base;
create table option_base (
   id_no int(11) not null auto_increment,
   mc varchar(20) not null,
   sc varchar(20) not null,
   sn varchar(20) not null,
   name varchar(20) not null,
   primary key (id_no));

#----------------------------
# Table structure for option_list
#----------------------------
drop table if exists option_list;
create table option_list (
   id_no int(11) not null auto_increment,
   opt_id_no int(11) not null default '0',
   list_name varchar(20) not null,
   add_cost int(11) not null default '0',
   stock int(11) not null default '0',
   primary key (id_no));

#----------------------------
# Table structure for ord
#----------------------------
drop table if exists `ord`;
create table `ord` (
   order_no varchar(50),
   name varchar(20),
   email varchar(75),
   tel1 varchar(20),
   name2 varchar(20),
   tel2 varchar(20),
   address1 varchar(50),
   order_date date not null default '0000-00-00',
   send_date date,
   pay_for varchar(14),
   pay_date date,
   pay_name varchar(10),
   bank varchar(100),
   price varchar(10),
   send_for varchar(10),
   cellphone varchar(15),
   pay_stats varchar(20),
   memo text,
   memo_admin text,
   send_stats varchar(8),
   address2 varchar(50) not null,
   zcode1 char(3) not null,
   zcode2 char(3) not null,
   state set('οϷ','Ϸ','߼ۿϷ','ֹ','ֹϷ','ԱȮ','','') not null,
   id int(11) not null auto_increment,
   cartno varchar(15) not null,
   order_id varchar(12) not null,
   order_time time not null default '00:00:00',
   cellphone2 varchar(15),
   ord_type set('1','0') not null default '0',
   from_domain varchar(72),
   send_cost int(11) not null default '0',
   send_type tinyint(4) not null default '0',
   order_who varchar(20) not null,
   pay_key varchar(64) not null,
   m_pay int(10) unsigned not null default '0',
   point int(10) unsigned not null default '0',
   send_no varchar(50),
   primary key (id),
   index `date` (order_date));

#----------------------------
# Table structure for pd_comment
#----------------------------
drop table if exists pd_comment;
create table pd_comment (
   id_no bigint(20) unsigned not null auto_increment,
   pd_id bigint(20) not null default '0',
   `comment` text not null,
   reg_date date not null default '0000-00-00',
   reg_time time not null default '00:00:00',
   reg_ip varchar(20) not null,
   reg_name varchar(15) not null,
   vote int(11) not null default '0',
   pwd varchar(8) not null,
   reg_id varchar(15) not null,
   primary key (id_no));

#----------------------------
# Table structure for pd_sub
#----------------------------
drop table if exists pd_sub;
create table pd_sub (
   id_no tinyint(4) not null auto_increment,
   base_sn varchar(20) not null,
   sn varchar(20) not null,
   primary key (id_no));

#----------------------------
# Table structure for pd_type
#----------------------------
drop table if exists pd_type;
create table pd_type (
   id_no tinyint(4) not null auto_increment,
   pd_type varchar(12) not null default 'Ϲ',
   subject varchar(255),
   main_dp varchar(10),
   primary key (id_no));

#----------------------------
# Table structure for prd_board
#----------------------------
drop table if exists prd_board;
create table prd_board (
   id_no int(10) unsigned not null auto_increment,
   body text not null,
   sn varchar(20) not null,
   reg_date date not null default '0000-00-00',
   reg_name tinyint(4) not null default '0',
   reg_id tinyint(4) not null default '0',
   reg_ip tinyint(4) not null default '0',
   primary key (id_no));

#----------------------------
# Table structure for products
#----------------------------
drop table if exists products;
create table products (
   name varchar(82) not null,
   sn varchar(20) not null,
   mc varchar(20),
   sc varchar(20),
   cost int(10) not null default '0',
   dc int(11),
   summary varchar(255),
   remark text,
   remark_detail text,
   views int(11),
   sales int(11),
   `date` date not null default '0000-00-00',
   pd_type varchar(255),
   note_dp text,
   remark_type char(1),
   remark_detail_type char(1),
   note_dp_type char(1),
   product_empty int(11),
   `type` varchar(20),
   mod_date date not null default '0000-00-00',
   reserve int(11),
   maker varchar(40),
   brand varchar(40) not null,
   mc_dp set('yes','no') not null default 'no',
   sc_dp set('yes','no') not null default 'no',
   gr_dp set('yes','no') not null default 'no',
   recomm_lev set('1','2','3','4','5') not null default '3',
   id_no int(11) not null auto_increment,
   groub varchar(25),
   recomm_app set('yes','no') not null default 'no',
   stock_app set('yes','no') not null default 'no',
   pic_rule set('1','2','3','4') not null default '1',
   stock int(11) not null default '0',
   state smallint(1) not null default '1',
   cost_state set('','','') not null default '',
   note varchar(20) not null,
   access_lev smallint(5) unsigned not null default '0',
   primary key (id_no, sn));

#----------------------------
# Table structure for res
#----------------------------
drop table if exists res;
create table res (
   id int(11) not null auto_increment,
   base_id int(11) not null default '0',
   `text` varchar(255) not null,
   `count` int(11) not null default '0',
   primary key (id));

#----------------------------
# Table structure for res_base
#----------------------------
drop table if exists res_base;
create table res_base (
   id int(11) not null auto_increment,
   subject varchar(255) not null,
   reg_date date not null default '0000-00-00',
   end_date date not null default '0000-00-00',
   state set('0','1') not null,
   primary key (id));

#----------------------------
# Table structure for rule
#----------------------------
drop table if exists rule;
create table rule (
   id smallint(6) not null auto_increment,
   name varchar(100) not null,
   code varchar(20) not null,
   summary text,
   int_a int(11) unsigned not null default '0',
   int_b int(11) unsigned not null default '0',
   int_c int(11) unsigned not null default '0',
   int_d int(11) unsigned not null default '0',
   txt_a varchar(255),
   txt_b varchar(255),
   txt_c varchar(255),
   txt_d varchar(255),
   date_a date,
   date_b date,
   time_a time,
   time_b time,
   state tinyint(4) not null default '0',
   primary key (id));

#----------------------------
# Table structure for sc
#----------------------------
drop table if exists sc;
create table sc (
   mc varchar(20) not null default 'mc',
   categori varchar(20) not null default 'sc',
   id_no int(11) not null auto_increment,
   id int(11) not null default '0',
   primary key (id_no));


